## org.omg.IOP.CodecPackage
Class FormatMismatchHelper

    java.lang.Object
      |
      +--org.omg.IOP.CodecPackage.FormatMismatchHelper

public class FormatMismatchHelper
extends java.lang.Object

Helper class for : FormatMismatch

Author:
  OpenORB Compiler

Constructor Summary
`FormatMismatchHelper()`

Method Summary
`static FormatMismatch` `extract(Any a)` Extract FormatMismatch from an any
`static java.lang.String` `id()` Return the FormatMismatch IDL ID
`static void` `insert(Any a, FormatMismatch t)` Insert FormatMismatch into an any
`static FormatMismatch` `read(InputStream istream)` Read FormatMismatch from a marshalled stream
`static TypeCode` `type()` Return the FormatMismatch TypeCode
`static void` `write(OutputStream ostream, FormatMismatch value)` Write FormatMismatch into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormatMismatchHelper

    public FormatMismatchHelper()

Method Detail

### insert

    public static void insert(Any a,
                              FormatMismatch t)

  Insert FormatMismatch into an any
  Parameters:
    `a` - an any
    `t` - FormatMismatch value

### extract

    public static FormatMismatch extract(Any a)

  Extract FormatMismatch from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted FormatMismatch value

### type

    public static TypeCode type()

  Return the FormatMismatch TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the FormatMismatch IDL ID
  Returns:
    an ID

### read

    public static FormatMismatch read(InputStream istream)

  Read FormatMismatch from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed FormatMismatch value

### write

    public static void write(OutputStream ostream,
                             FormatMismatch value)

  Write FormatMismatch into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - FormatMismatch value